Bug 1623294 - KeePassXC 2.3.4 is available
Summary: KeePassXC 2.3.4 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: keepassxc
Version: rawhide
Hardware: All
OS: All
unspecified
medium
Target Milestone: ---
Assignee: Germano Massullo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-28 23:37 UTC by JayJayJazz
Modified: 2018-09-21 06:43 UTC (History)
2 users (show)

Fixed In Version: keepassxc-2.3.4-1.fc28 keepassxc-2.3.4-1.fc29 keepassxc-2.3.4-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-06 03:11:09 UTC
Type: Bug


Attachments (Terms of Use)
version 2.3.4 (55.20 KB, image/png)
2018-08-29 23:26 UTC, Mukundan Ragavan
no flags Details

Description JayJayJazz 2018-08-28 23:37:29 UTC
Description of problem:
KeePassXC 2.3.4 is available, but in the stable repos, only 2.3.3 is available

Version-Release number of selected component (if applicable):
2.3.4

Actual results:
KeePassXC 2.3.3 is available in the stable repos.

Expected results:
KeePassXC 2.3.4 should be available in the stable repos.

Additional info:
Here’s the full changelog for KeePassXC 2.3.4:
- Show all URL schemes in entry view [#1768]
- Disable merge when database is locked [#1975]
- Fix intermittent crashes with favorite icon downloads [#1980]
- Provide potential crash warning to Qt 5.5.x users [#2211]
- Disable apply button when creating new entry/group to prevent data loss [#2204]
- Multiple SSH Agent fixes [#1981, #2117]
- Multiple Browser Integration enhancements [#1993, #2003, #2055, #2116, #2159, #2174, #2185]
- Fix browser proxy application not closing properly [#2142]
- Add real names and Patreon supporters to about dialog [#2214]
- Add settings button to toolbar, Donate button, and Report a Bug button to help menu [#2214]


Link:
https://keepassxc.org/blog/2018-08-23-2.3.4-released/

Comment 1 Germano Massullo 2018-08-29 09:18:33 UTC
Thank you, I will start working on it today

Comment 2 Mukundan Ragavan 2018-08-29 23:26:52 UTC
Created attachment 1479606 [details]
version 2.3.4

I do not know why anitya is not working for package updates.

In any case, I have built keepassxc on rawhide. Germano, if you are happy, let me know or you can merge for f29, f28, and f27.

2.3.4 works fine in Fedora 28.

Comment 3 Fedora Update System 2018-08-31 17:10:24 UTC
keepassxc-2.3.4-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e8b0fef262

Comment 4 Fedora Update System 2018-08-31 17:35:00 UTC
keepassxc-2.3.4-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-93e6e9b389

Comment 5 Fedora Update System 2018-08-31 17:35:05 UTC
keepassxc-2.3.4-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-fb74aa3f33

Comment 6 Fedora Update System 2018-08-31 20:21:14 UTC
keepassxc-2.3.4-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-93e6e9b389

Comment 7 Fedora Update System 2018-08-31 22:28:22 UTC
keepassxc-2.3.4-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-fb74aa3f33

Comment 8 Fedora Update System 2018-09-02 02:57:11 UTC
keepassxc-2.3.4-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e8b0fef262

Comment 9 Fedora Update System 2018-09-06 03:11:09 UTC
keepassxc-2.3.4-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-09-21 05:25:49 UTC
keepassxc-2.3.4-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-09-21 06:43:15 UTC
keepassxc-2.3.4-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.